Price Lists
List Prices
Retrieve the individual product prices that belong to price lists. Each entry maps a product to its price within a given price list.
GET
/
price-lists
/
prices
List Prices
curl --request GET \
--url https://integrations.clopos.com/open-api/v2/price-lists/prices \
--header 'x-token: <api-key>'{
"data": [
{
"id": 123,
"list_id": 123,
"product_id": 123,
"price": 123,
"product": {
"id": 123,
"name": "<string>",
"full_name": "<string>",
"status": 123,
"price": 123,
"cost_price": 123,
"has_modifications": true,
"modifications": [
{
"id": 123,
"parent_id": 123,
"type": "MODIFICATION",
"name": "<string>",
"price": 123,
"cost_price": 123,
"barcode": "<string>",
"full_name": "<string>",
"status": 123
}
],
"modificator_groups": [
{
"id": 123,
"name": "<string>",
"type": 123,
"min_select": 123,
"max_select": 123,
"modificators": [
{
"id": 123,
"name": "<string>",
"price": 123,
"cost_price": 123,
"max_count": 123,
"status": true,
"ingredient": "<unknown>"
}
]
}
],
"recipe": [
{
"id": 123,
"name": "<string>",
"cost_price": 123,
"pivot": {
"gross": "<string>"
}
}
],
"packages": [
{
"id": 123,
"name": "<string>",
"equal": 123
}
],
"setting": {
"interval": 123,
"prices": [
{
"price": 123,
"from": 123
}
]
},
"taxes": [
{
"id": 123,
"name": "<string>",
"rate": 123
}
],
"tags": [
{}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"list": {
"id": 123,
"name": "<string>",
"description": "<string>",
"status": true,
"prices": "<array>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
],
"pagination": {
"page": 123,
"per_page": 123,
"total": 123,
"total_pages": 123
}
}Authorizations
JWT access token obtained from /v2/auth endpoint
Query Parameters
Maximum number of prices to return per page (1-999).
Required range:
1 <= x <= 999Filter prices by specific fields. Use array notation: filters[0][0]=field_name&filters[0][1]=value. Supported fields: id, product_id, list_id.
Include related data in the response. Supported values: product, list.
Available options:
product, list Was this page helpful?
⌘I
List Prices
curl --request GET \
--url https://integrations.clopos.com/open-api/v2/price-lists/prices \
--header 'x-token: <api-key>'{
"data": [
{
"id": 123,
"list_id": 123,
"product_id": 123,
"price": 123,
"product": {
"id": 123,
"name": "<string>",
"full_name": "<string>",
"status": 123,
"price": 123,
"cost_price": 123,
"has_modifications": true,
"modifications": [
{
"id": 123,
"parent_id": 123,
"type": "MODIFICATION",
"name": "<string>",
"price": 123,
"cost_price": 123,
"barcode": "<string>",
"full_name": "<string>",
"status": 123
}
],
"modificator_groups": [
{
"id": 123,
"name": "<string>",
"type": 123,
"min_select": 123,
"max_select": 123,
"modificators": [
{
"id": 123,
"name": "<string>",
"price": 123,
"cost_price": 123,
"max_count": 123,
"status": true,
"ingredient": "<unknown>"
}
]
}
],
"recipe": [
{
"id": 123,
"name": "<string>",
"cost_price": 123,
"pivot": {
"gross": "<string>"
}
}
],
"packages": [
{
"id": 123,
"name": "<string>",
"equal": 123
}
],
"setting": {
"interval": 123,
"prices": [
{
"price": 123,
"from": 123
}
]
},
"taxes": [
{
"id": 123,
"name": "<string>",
"rate": 123
}
],
"tags": [
{}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"list": {
"id": 123,
"name": "<string>",
"description": "<string>",
"status": true,
"prices": "<array>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
],
"pagination": {
"page": 123,
"per_page": 123,
"total": 123,
"total_pages": 123
}
}